Page MenuHomePhabricator

[CMake] Pass additional CMake flags in Fuchsia cache files
ClosedPublic

Authored by phosek on Apr 23 2018, 5:17 PM.

Details

Summary

This allows passing additional CMake flags to builtins and runtimes
build through Fuchsia cache files.

We now also set build type and enable assertions for builtins and
runtimes build which wasn't the case before, but should've been.

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Apr 23 2018, 5:17 PM
mcgrathr accepted this revision.Apr 24 2018, 11:03 AM
This revision is now accepted and ready to land.Apr 24 2018, 11:03 AM
cryptoad added inline comments.
clang/cmake/caches/Fuchsia-stage2.cmake
89 ↗(On Diff #143672)

This should probably go away for now if we want to have D46079.
Then I can go through the remaining warnings if that's important to have it and fix them.

phosek updated this revision to Diff 144824.May 1 2018, 7:19 PM
phosek marked an inline comment as done.
This revision was automatically updated to reflect the committed changes.